import { Component } from '@angular/core';
import { MulticomponentComponent } from './multicomponent/multicomponent.component';

@Component({
  selector: 'my-app',
  templateUrl: 'app.component.html'
})
export class AppComponent {
  holdValue:any=["Hello"];
  private frameworkComponents;
  title = 'app';
  
  columnDefs = [
      {headerName: 'Make', field: 'make', editable: true, cellEditor:'multi',width:300, cellEditorParams: this.holdValue },
      {headerName: 'Model', field: 'model', editable: true},
      {headerName: 'Price', field: 'price', editable: true}
  ];

  rowData = [
      { make: '', model: 'Celica', price: 35000 },
      { make: '', model: 'Mondeo', price: 32000 },
      { make: '', model: 'Boxter', price: 72000 }
  ];

  constructor() {

    this.frameworkComponents ={
      multi: MulticomponentComponent
    }

    
    }

}
