import { Component, OnInit, AfterViewInit } from '@angular/core';
import { ICellEditorAngularComp } from 'ag-grid-angular';

@Component({
  selector: 'app-multicomponent',
  templateUrl: './multicomponent.component.html',
  styleUrls: ['./multicomponent.component.css']
})
export class MulticomponentComponent implements ICellEditorAngularComp, AfterViewInit  {

  
  value:any=[];
  
  public sportsData: Object[] =  [
    { id: 'Game1', sports: 'Badminton' },
    { id: 'Game2', sports: 'Basketball' },
    { id: 'Game3', sports: 'Cricket' },
    { id: 'Game4', sports: 'Football' },
    { id: 'Game5', sports: 'Golf' }
];
// maps the appropriate column to fields property
public fields: Object = { text: 'sports', value: 'id' };
  public placeholder: string = 'Select games';
  ngAfterViewInit(): void {
    //throw new Error("Method not implemented.");
  }
  getValue() {
    //throw new Error("Method not implemented.");
    return this.value;
  }
  
  agInit(params: import("ag-grid-community").ICellEditorParams): void {
  }
  OnChange(e){
    console.log("change occur");
    console.log(this.value);
  }
  select(e){
    console.log("select");
    console.log(e);
  }
}
