import { BrowserModule} from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { AppComponent } from './app.component';


import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { FormsModule } from '@angular/forms';
import { MulticomponentComponent } from './multicomponent/multicomponent.component';
import { AgGridModule } from 'ag-grid-angular';
import { MultiSelectModule } from '@syncfusion/ej2-angular-dropdowns';

@NgModule({
  declarations: [
    AppComponent, MulticomponentComponent
  ],
  imports: [
    MultiSelectModule,
    AgGridModule.withComponents([MulticomponentComponent]),
    BrowserModule,
    FormsModule,
    BrowserAnimationsModule,
  ],
  providers: [
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }
